Zsh Mailing List Archive
Messages sorted by: Reverse Date, Date, Thread, Author

Re: Problems building 4.3.4 on FreeBSD



"Renato Botelho" wrote:
> I figured it out, the problem is caused because some Functions and
> Completions has 0755 permissions, so, installfns.sh consider it
> executable and call install with -s.

The change that brought this in is 22341.  It looks like we need to set
the permissions separately from installing.

Ideally we still need to be more selective with the permissions somehow.
The permissions don't seem to be fixable in the archive by any obvious
means.  We could perhaps run a script to get this right in the
distribution.

Index: Config/installfns.sh
===================================================================
RCS file: /cvsroot/zsh/zsh/Config/installfns.sh,v
retrieving revision 1.13
diff -u -r1.13 installfns.sh
--- Config/installfns.sh	20 Mar 2006 11:06:24 -0000	1.13
+++ Config/installfns.sh	25 Jul 2007 20:42:08 -0000
@@ -45,10 +45,9 @@
       esac
     fi
     test -d $instdir || /bin/sh $sdir_top/mkinstalldirs $instdir || exit 1
+    $INSTALL_DATA $sdir_top/$file $instdir || exit 1
     if test -x $sdir_top/$file; then
-	$INSTALL_PROGRAM $sdir_top/$file $instdir || exit 1
-    else
-	$INSTALL_DATA $sdir_top/$file $instdir || exit 1
+	chmod +x $instdir/`echo $file | sed -e 's%^.*/%%'`
     fi
   fi
 done

-- 
Peter Stephenson <p.w.stephenson@xxxxxxxxxxxx>
Web page now at http://homepage.ntlworld.com/p.w.stephenson/



Messages sorted by: Reverse Date, Date, Thread, Author